Get Message Replies
curl --request GET \
--url https://api.example.com/get-reply/{notificationId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/get-reply/{notificationId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/get-reply/{notificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"text": "Main message content",
"user": "U01ABC123",
"ts": "1718690834.000100"
},
{
"text": "This is a threaded reply",
"user": "U01XYZ456",
"ts": "1718690845.000300",
"thread_ts": "1718690834.000100"
}
]
Messaging APIs
Get Message Replies
Fetches replies to a previously sent notification. Currently supported for Slack only.
GET
/
get-reply
/
{notificationId}
Get Message Replies
Header
string
required
Bearer token for API authentication. Format:
Bearer {{apiToken}}Required: API Key with full accessPath Parameters
string
required
Unique ID of the sent notification (UUID format)
Response
Success Response (200 OK)
Returns an array of messages (including top-level and threaded replies).string
required
Message content
string
required
Slack user ID of the sender
string
required
Slack message timestamp (used for threading and ordering)
string
Timestamp of the parent message if this is a threaded reply
Response Examples
[
{
"text": "Main message content",
"user": "U01ABC123",
"ts": "1718690834.000100"
},
{
"text": "This is a threaded reply",
"user": "U01XYZ456",
"ts": "1718690845.000300",
"thread_ts": "1718690834.000100"
}
]
- This endpoint currently supports Slack only.
- The
thread_tsfield is only present in threaded messages. - Message timestamps (
tsandthread_ts) follow Slack’s timestamp format.
Was this page helpful?